# ISLocalToGlobalMappingApply

Takes a list of integers in a local numbering and converts them to the global numbering. Not collective

### Input Parameters

| mapping | - the local to global mapping context
| N | - number of integers
| in | - input indices in local numbering

### Output Parameter

out -indices in global numbering

### Synopsis

    PetscErrorCode ISLocalToGlobalMappingApply(ISLocalToGlobalMapping mapping,int N,int in[],int out[])

### Notes

The in and out array parameters may be identical.

### See Also

ISLocalToGlobalMappingCreate(),ISLocalToGlobalMappingDestroy(),
ISLocalToGlobalMappingApplyIS(),AOCreateBasic(),AOApplicationToPetsc(), AOPetscToApplication(), ISGlobalToLocalMappingApply()

Level:advanced
Location: src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/examples/tutorials/ex4.c.html